#include <iostream>
#include<cstdio>
#include<algorithm>
#include <cmath>
using namespace std;
int main()
{
    int t;
    scanf("%d",&t);
    while(t--)
    {
        int n;
        scanf("%d",&n);
        for(int i=1;i<=n; i++)
        {

        }
    }
    return 0;
}
